<?php
require "header.php";
require "authenticatie.php";

// Laat lijst zien
if( $_SESSION['winkelwagen'] ) {
	$totaal = 0;
	echo "<p><div class=\"big\">De onderstaande bestelling wordt uitgevoerd...</div><br>";
	echo "<table border=2 cellpadding=0 cellspacing=0>";
	echo "<tr><td><b>Aantal</b></td><td><b>Naam</b></td><td><b>Prijs in &euro;</b></td></tr>"; // bovenste regel
	foreach ( $_SESSION['winkelwagen'] as $key=>$val ) {

	$sql = "SELECT * FROM Artikel WHERE ARTIKEL_ID=$key";
	$resultaat = mysql_query($sql);

	$klantid = $_SESSION["klantid"];

	while ($rij = mysql_fetch_array($resultaat)) {
		echo "<tr>";
		echo "<td>$val</td>";
		echo "<td>".$rij["Naam"]."</td>";
		echo "<td>".number_format($rij["Prijs"], 2, ',', ' ')."</td>";
		echo "</tr>";
		$totaal = $totaal + ($rij["Prijs"] * $val);

		// Uitvoeren bestelling

		$sql = "INSERT INTO Bestelling (ARTIKEL_ID, KLANT_ID, Aantal) VALUES ($key, $klantid, $val)";

		$theresult = mysql_query($sql);

		if (!$theresult) {
			echo "Er is een foutmelding opgetreden. Neem contact op met de webmaster";
		}

	}

}
	echo "</table>";
	echo "<p>Totaalbedrag: &euro; ".number_format($totaal, 2, ',', ' ')."<br>";
	echo "<p>Het totaalbedrag wordt van uw rekening afgeschreven.";

	unset($_SESSION['winkelwagen']); // winkelwagen legen
}

require "footer.php";
?>